Uygulamamızı yükleyin 🪄 adres çubuğunun sağ üst köşesindeki simgesine tıklayın.

Akışlar

GET https://pusher.cv/api/flows/
curl --request GET \
--url 'https://pusher.cv/api/flows/' \
--header 'Authorization: Bearer {api_key}' \
Parametreler Ayrıntılar Açıklama
page İsteğe bağlı Tamsayı Sonuçları istediğiniz sayfa numarası. Varsayılan olarak 1.
results_per_page İsteğe bağlı Tamsayı Her sayfa kaç sonuç istersiniz. İzin verilen değerler: 10 , 25 , 50 , 100 , 250 , 500 , 1000. Varsayılan olarak 25.
{
    "data": [
        {
            "id": 1,
            "user_id": 1,
            "website_id": 1,
            "name": "Example",
            "title": "Sample message",
            "description": "This is coming from the API.",
            "url": "https://example.com",
            "image_url": null,
            "settings": {
                "ttl": 2419200,
                "urgency": "normal",
                "is_silent": 0,
                "is_auto_hide": 0,
                "button_title_1": "",
                "button_url_1": "",
                "button_title_2": "",
                "button_url_2": ""
            },
            "wait_time": 3,
            "wait_time_type": "days",
            "is_enabled": true,
            "total_sent_push_notifications": 0,
            "total_displayed_push_notifications": 0,
            "total_clicked_push_notifications": 0,
            "total_closed_push_notifications": 0,
            "last_sent_datetime": null,
            "last_datetime": null,
            "datetime": "2026-07-18 18:23:53",
        }
    ],
    "meta": {
        "page": 1,
        "results_per_page": 25,
        "total": 1,
        "total_pages": 1
    },
    "links": {
        "first": "https://pusher.cv/api/flows?page=1",
        "last": "https://pusher.cv/api/flows?page=1",
        "next": null,
        "prev": null,
        "self": "https://pusher.cv/api/flows?page=1"
    }
}
GET https://pusher.cv/api/flows/{flow_id}
curl --request GET \
--url 'https://pusher.cv/api/flows/{flow_id}' \
--header 'Authorization: Bearer {api_key}' \
{
    "data": {
        "id": 1,
        "user_id": 1,
        "website_id": 1,
        "name": "Example",
        "title": "Sample message",
        "description": "This is coming from the API.",
        "url": "https://example.com",
        "image_url": null,
        "settings": {
            "ttl": 2419200,
            "urgency": "normal",
            "is_silent": 0,
            "is_auto_hide": 0,
            "button_title_1": "",
            "button_url_1": "",
            "button_title_2": "",
            "button_url_2": ""
        },
        "wait_time": 3,
        "wait_time_type": "days",
        "is_enabled": true,
        "total_sent_push_notifications": 0,
        "total_displayed_push_notifications": 0,
        "total_clicked_push_notifications": 0,
        "total_closed_push_notifications": 0,
        "last_sent_datetime": null,
        "last_datetime": null,
        "datetime": "2026-07-18 18:23:53",
    }
}
POST https://pusher.cv/api/flows
Parametreler Ayrıntılar Açıklama
website_id Gerekli Tamsayı -
name Gerekli Dize -
title Gerekli Dize -
description Gerekli Dize -
url İsteğe bağlı Dize -
image İsteğe bağlı Dosya -
wait_time Gerekli Tamsayı -
wait_time_type Gerekli Dize Geçerli değerler: minutes , hours , days
button_title_1 İsteğe bağlı Dize -
button_url_1 İsteğe bağlı Dize -
button_title_2 İsteğe bağlı Dize -
button_url_2 İsteğe bağlı Dize -
is_silent İsteğe bağlı Boolean -
is_auto_hide İsteğe bağlı Boolean -
ttl İsteğe bağlı Dize Geçerli değerler: 0 , 900 , 1800 , 3600 , 10800 , 21600 , 43200 , 86400 , 259200 , 432000 , 604800 , 1209600 , 2419200
utm_source İsteğe bağlı Dize -
utm_medium İsteğe bağlı Dize -
utm_campaign İsteğe bağlı Dize -
segment İsteğe bağlı Dize Geçerli değerler: all , INT segment_id
is_enabled İsteğe bağlı Boolean -
auto_apply_to_matching İsteğe bağlı Boolean -
curl --request POST \
--url 'https://pusher.cv/api/flows' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example name' \
--form 'website_id=1' \
--form 'title=Example title' \
--form 'description=Example description' \
--form 'segment=all' \
{
    "data": {
        "id": 1
    }
}
POST https://pusher.cv/api/flows/{flow_id}
Parametreler Ayrıntılar Açıklama
website_id İsteğe bağlı Tamsayı -
name İsteğe bağlı Dize -
title İsteğe bağlı Dize -
description İsteğe bağlı Dize -
url İsteğe bağlı Dize -
image İsteğe bağlı Dosya -
wait_time İsteğe bağlı Tamsayı -
wait_time_type İsteğe bağlı Dize Geçerli değerler: minutes , hours , days
button_title_1 İsteğe bağlı Dize -
button_url_1 İsteğe bağlı Dize -
button_title_2 İsteğe bağlı Dize -
button_url_2 İsteğe bağlı Dize -
is_silent İsteğe bağlı Boolean -
is_auto_hide İsteğe bağlı Boolean -
ttl İsteğe bağlı Dize Geçerli değerler: 0 , 900 , 1800 , 3600 , 10800 , 21600 , 43200 , 86400 , 259200 , 432000 , 604800 , 1209600 , 2419200
utm_source İsteğe bağlı Dize -
utm_medium İsteğe bağlı Dize -
utm_campaign İsteğe bağlı Dize -
segment İsteğe bağlı Dize Geçerli değerler: all , INT segment_id
is_enabled İsteğe bağlı Boolean -
curl --request POST \
--url 'https://pusher.cv/api/flows/{flow_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example name' \
--form 'website_id=1' \
--form 'title=Example title' \
--form 'description=Example description' \
--form 'segment=all' \
{
    "data": {
        "id": 1
    }
}
DELETE https://pusher.cv/api/flows/{flow_id}
curl --request DELETE \
--url 'https://pusher.cv/api/flows/{flow_id}' \
--header 'Authorization: Bearer {api_key}' \